## org.apache.xpath.compiler
Class Keywords

    java.lang.Object
      org.apache.xpath.compiler.Keywords

public class Keywords
extends java.lang.Object

Table of strings to operation code lookups.

Usage:
  **For internal use only**

Field Summary
`static java.lang.String` `FUNC_KEY_STRING` key function string (XSLT).

Constructor Summary
`Keywords()`

Method Summary
`static boolean` `functionAvailable(java.lang.String methName)` Tell if a built-in, non-namespaced function is available.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FUNC_KEY_STRING

    public static final java.lang.String FUNC_KEY_STRING

  key function string (XSLT).

  See Also:
    Constant Field Values

Constructor Detail

### Keywords

    public Keywords()

Method Detail

### functionAvailable

    public static boolean functionAvailable(java.lang.String methName)

  Tell if a built-in, non-namespaced function is available.

  Parameters:
    `methName` - The local name of the function.
  Returns:
    True if the function can be executed.

Copyright © 2004 Apache XML Project. All Rights Reserved.